Bug 14122 - bad dates in status file not handled
Summary: bad dates in status file not handled
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: logrotate   
(Show other bugs)
Version: 7.1
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Erik Troan
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-07-17 16:17 UTC by Alexander L. Belikoff
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-17 16:17:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alexander L. Belikoff 2000-07-17 16:17:29 UTC
logrotate does nothing to check whether a last rotation date read from the
status file makes any sense. In particular, it does nothing to check if
last rotation date is in the future. For example, it is very common for the
Alpha architecture to screw up the clock upon reboot so it comes up in year
2020. If logrotate is run once, it'd update the last rotation date to be in
2020. Later when the machine clock is fixed, logrotate would happily ignore
the logs!

Below is a patch for logrotate 3.3.2, upgrading it to 3.3.3. This patch
makes logrotate issue an error message and force rotation for those logs
that have last rotation date in the future.

begin 644 logrotate-3.3.3.patch.gz
M'XL("+,1<SD``VQO9W)O=&%T92TS+C,N,RYP871C:`"E5>]/VE`4_4S_BJ,)
MJ)1"2T%#%8(:=%G\L8#9/FR+J?0!S=H^\EZK(W/_^^YKI504Y[*F*7U][YSS
M[KGO7CQ_,H&17`D$?"IX[,;,L.MVO=DX_7!\=3X8K7VWE]\UPS`V84HWLP1G
M[`[-%BS;H=MNHFF:IJ;K^B;"TB6/\#$)8!W`[#CMCF-W,E"_#\.JV="MVC[Z
M?4U/Q6#TD!(XFEXR,.%BS)`2^T3D3Y3.CD3@RGCUV2-9^!)^A'C&,$GB1#!-
MUU(F:TG9=#00I<>CG2<L2WF(48/F;;0L']?'+Z(LS+UJ76&^](5YY$0$:Y]N
MI]5RS`-8G4[G5?N*P#4+"6NN+&S:'?)/5S]66_F($@LD4U;M$HG1&PL_9L)/
M0G2[&%[?W)Y=#T\'>_A%*T%7HXI$,I%9[:U,Y:G7$A/!0XQY&+J1A\"/&*J-
M)ZC'AYF-75B'E*_?R*5E&DM/^9NM\>IQ>+M@KD`/$7_(1X^/(*2B>PM#6R^"
M*I4E:!,JI`AR(35X?%PBWH*L=-2H4LDQV(#QW$5!AT9[=)&W>@H+F93NE.U>
M#D:CV\%P>#VL+1FW)W[`4"X>97+_V0D&':@\'5EZOD7;.4.:7<4BO]+K51)^
MWSM\TGV>&+PS,5O=%YE!*K79KZWNFL=O`I19!81RBZQZ3^7).7NK^-3T7^I/
M+?FW#K:&+52A93JFZ;2M8B/;SQL91@D5BU@XR&*7-54^<T%G0;T+%O)[)J'*
M*73]0$(N9,Q"I8\TG74-5V[(G-6.-.,S$Y*.@9-U,DU_-K8U#%G`7$D82\,I
MGR^$/YW%#LX_76@X%SR9.QAE,H/HWA<\"ED4-TX(DNZ_9:L`Z-E)(RB[<2QV
MS8-VF_;+>9P]]U#V?($&B\<%<SQJGBB/9VXT9:J5ZE44K%(.X3A@/RE<:C(7
M=9RPP/_!*>5'[AT+^O=N0$V%BU:=3.II^G_W_"H*64[E!\+_@1O!W0A'["'N
3"^;-W#C3P\8_A#\?$1J91`<`````
`
end

Comment 1 Erik Troan 2000-08-05 13:17:00 UTC
Fixed in logrotate 3.5.1 -- thanks.


Note You need to log in before you can comment on or make changes to this bug.